<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");


if($rm==10) $takep="&amp;pwd=$pwd&amp;ref=$ref";
else if($mod=="privat") $takep="&amp;mod=$mod&amp;ref=$ref";
else $takep="&amp;ref=$ref";

switch($mod) {

case 'redact':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"nastr\" title=\"Настроение\">\n";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Настроение</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
if((isset($rm))&&($rm!="")) echo "<form method=\"POST\" action=\"nood.php?$ses&amp;mod=rew&amp;rm=$rm$takep\" name=\"auth\">\n"; 
else echo "<form method=\"POST\" action=\"nood.php?$ses&amp;mod=rew$takep\" name=\"auth\">\n"; 
}
echo $fsize1;
echo "<b>Ваше настроение:</b><br/>";
echo $fsize2;
$nastroi=$row['nastroi'];
echo "<input name=\"nastroi\" maxlength=\"20\" value=\"$nastroi\"/><br/>";
echo $fsize1;
echo "*Пустое поле-без настроения<br/>";
echo $divide;
echo $fsize2;
if ($ver=="wml"){
echo $fsize1;
if((isset($rm))&&($rm!="")) echo "<anchor title=\"go\">Сохранить<go href=\"nood.php?$ses&amp;mod=rew&amp;rm=$rm$takep\" method=\"post\">\n";
else echo "<anchor title=\"go\">Сохранить<go href=\"nood.php?$ses&amp;mod=rew&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nastroi\" value=\"$(nastroi)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";
}else{
echo "<input type=\"submit\" value=\"Сохранить\" name=\"enter\"><br/>\n";
}
echo $fsize1;
echo $divide;
if((isset($rm))&&($rm!="")) echo "Так же ВЫ можете <a href=\"nood.php?$ses&amp;mod=select&amp;rm=$rm$takep\">выбрать</a> настроение из списка<br/>\n";
else echo "Так же ВЫ можете <a href=\"nood.php?$ses&amp;mod=select&amp;ref=$ref\">выбрать</a> настроение из списка<br/>\n";
echo $fsize2;
break;

case 'select':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"nastroi\" title=\"Моё настроение\">\n";
echo "<p align =\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Моё настроение</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
if((isset($rm))&&($rm!="")) echo "<form method=\"POST\" action=\"nood.php?mod=rew&amp;$ses&amp;rm=$rm$takep\" name=\"auth\">\n";
else echo "<form method=\"POST\" action=\"nood.php?$ses&amp;mod=rew&amp;ref=$ref\" name=\"auth\">\n"; 
}
echo $fsize1;
echo "Привет <b>".$row["user"]."</b>, выбери своё настроение:<br/>";
echo $fsize2;
echo "<select name=\"nastroi\">";
echo "<option value=\"".$row["nastroi"]."\">".$row["nastroi"]."</option>
        <option value=\"0\">[Выключено]</option>
		<option value=\"Бодрое\">Бодрое</option>
		<option value=\"Прекрасное\">Прекрасное</option>
		<option value=\"Весёлое\">Весёлое</option>
		<option value=\"Ангельское\">Ангельское</option>
		<option value=\"Агрессивное\">Агрессивное</option>
		<option value=\"Изумлённое\">Изумлённое</option>
		<option value=\"Удивленное\">Удивленное</option>
		<option value=\"Злое\">Злое</option>
		<option value=\"Сердитое\">Сердитое</option>
		<option value=\"Сонное\">Сонное</option>
		<option value=\"Озлобленное\">Озлобленное</option>
		<option value=\"Скучающее\">Скучающее</option>
		<option value=\"Оживлённое\">Оживлённое</option>
		<option value=\"Угрюмое\">Угрюмое</option>
		<option value=\"Размышляющее\">Размышляющее</option>
		<option value=\"Занятое\">Занятое</option>
		<option value=\"Нахальное\">Нахальное</option>
		<option value=\"Холодное\">Холодное</option>
		<option value=\"Смущённое\">Смущённое</option>
		<option value=\"Крутое\">Крутое</option>
		<option value=\"Дерзкое\">Дерзкое</option>
		<option value=\"Смутённое\">Смутённое</option>
		<option value=\"Дьявольское\">Дьявольское</option>
		<option value=\"Сварливое\">Сварливое</option>
		<option value=\"Счастливое\">Счастливое</option>
		<option value=\"Горячее\">Горячее</option>
		<option value=\"Влюблённое\">Влюблённое</option>
		<option value=\"Невинное\">Невинное</option>
		<option value=\"Вдохновлённое\">Вдохновлённое</option>
		<option value=\"Одинокое\">Одинокое</option>
		<option value=\"Скрытое\">Скрытое</option>
		<option value=\"Пушистое\">Пушистое</option>
		<option value=\"Задумчивое\">Задумчивое</option>
		<option value=\"Психоделическое\">Психоделическое</option>
		<option value=\"Расслабленое\">Расслабленое</option>
		<option value=\"Грустное\">Грустное</option>
		<option value=\"Испуганное\">Испуганное</option>
		<option value=\"Шокированное\">Шокированное</option>
		<option value=\"Потрясенное\">Потрясенное</option>
		<option value=\"Больное\">Больное</option>
		<option value=\"Хитрое\">Хитрое</option>
		<option value=\"Усталое\">Усталое</option>
		<option value=\"Утомленное\">Утомленное</option>
        </select><br/>";
if ($ver=="wml"){
echo $fsize1;
if((isset($rm))&&($rm!="")) echo "<anchor title=\"go\">Изменить!<go href=\"nood.php?mod=rew&amp;$ses&amp;rm=$rm$takep\" method=\"post\">";
else echo "<anchor title=\"go\">Изменить!<go href=\"nood.php?$ses&amp;mod=rew&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"nastroi\" value=\"$(nastroi)\"/></go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Изменить!\" name=\"enter\"><br/>\n";
}
echo $fsize1;
echo $divide;
if((isset($rm))&&($rm!="")) echo "Или забейте настроение <a href=\"nood.php?$ses&amp;mod=redact&amp;rm=$rm$takep\">вручную</a><br/>";
else echo "Или забейте насроение <a href=\"nood.php?$ses&amp;mod=redact&amp;ref=$ref\">вручную</a><br/>";
echo $fsize2;
break;

case 'rew':
if ($row["translit"]==1) $nastroi = trun_to_rus($nastroi); 
$nastroi = check($nastroi);  
if (!ctype_digit($id)) {header("Location: index.php"); die;}
mysql_query ("Update users set nastroi='".$nastroi."' where id ='".$id."'");
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
if((isset($rm))&&($rm!="")) echo "<card id=\"nastroi\" title=\"Ок\" ontimer=\"chat.php?$ses&amp;rm=$rm$takep\"><timer value=\"10\"/>\n";
else echo "<card id=\"nastroi\" title=\"ok\" ontimer=\"cabinet.php?$ses$takep\"><timer value=\"10\"/>\n";
echo "<p align=\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ок</title>";
if((isset($rm))&&($rm!="")) echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=chat.php?$ses&amp;rm=$rm$takep\">";
else echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=cabinet.php?$ses$takep\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "Ваше настроение изменено!<br/>";
echo $fsize2;
break;
}
echo $fsize1;
echo $divide;
if((isset($rm))&&($rm!="")) echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\">В чат</a><br/>";
else echo "<a href=\"cabinet.php?$ses&amp;ref=$ref\">Личный кабинет</a><br/>";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>";
echo $fsize2;
if ($ver=="wml") echo "</p></card></wml>";
else echo "</div></body></html>"; 
mysql_close ($link);
?>
